Subject: [Tools-implementation] Some fodder for tomorrow

From: Robert Sparks <[email-masked]>
Date: Wed, 13 May 2020 15:31:34 -0500

I don't expect to dive into all of this tomorrow, but I wanted to have 
something to start talking about.

If there are hot-topics or particular issues that I've missed that we 
should be talking about earlier, please add them. If there are items you 
don't know about, lets make sure everyone comes up to speed on them.

Organization:
     - Do we have the right people and the right skillsets?
Things to be aware of:
     - Deployment of yc.o on amazon
     - Automatic schedule generation
     - github backups
Hot Topics (things likely to affect IETF108):
     - Meetecho support for online meetings (both 'ietf' and 'interim')
         - authentication and authorization (SSO): who can join a webex 
session? who can speak?
     - Meeting scheduler improvements
     - Better use of cloudflare for serving meeting materials
Things to help prioritize/steer:
     - What are the highest priority services (this overlaps a bit with 
what the TAS will be figuring out)
         - see slides at 
https://mailarchive.ietf.org/arch/msg/tools-arch/gB1XOmzeKLNy8vxQE2cfSOgxftY/
         - are there services missing
     - What about tools that aren't services
         - especially 3rd party things
         - what are priority things to work with
     - Thinking towards understanding the actual use patterns and 
current timing characteristics of all the services
         - newrelic
         - django-request-profiler
         - Other possible things (some heavy)
             - matomo in the rest of the web services, particularly the 
datatracker
             - https://newrelic.com/python/django
     - Where can cloud _help us right now_?
         - (See better use of cloudlare above)
     - Datatracker improvements
         - We have PLAN for the datatacker, but it's really mostly been 
Henrik's runway
         - A lot of the recent emphasis has been on infrastructure
         - We don't have a thing like that for the other services
     - Per project scheduling of ticket resolution (grouping things into 
releases).
     - Cross project prioritization of those releases

Some useful links into ticket bases:

https://trac.tools.ietf.org/tools/ietfdb/query?owner=&status=accepted&status=assigned&status=new&status=reopened&status=under_review&status=waiting&group=priority&max=9999&col=id&col=summary&col=status&col=type&col=priority&col=milestone&col=component&col=reporter&report=35&desc=1&order=id

https://trac.tools.ietf.org/tools/xml2rfc/trac/query?status=accepted&status=assigned&status=new&status=reopened&status=under_review&status=waiting&group=priority&col=id&col=summary&col=status&col=owner&col=type&col=priority&col=milestone&order=id

https://github.com/ietf-tools/wagtail_website/issues (and the similar 
pages under the other repositories at ietf-tools

https://github.com/orgs/YangCatalog/projects/1